<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=+, initial-scale=1.0">
  <title>Entradas de texto</title>
  <LINK href="../../src/form/entradas-de-texto.css" rel="stylesheet" type="text/css">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" rel="stylesheet"
    crossorigin="anonymous">
</head>
<body>
  <!-- Básico -->
  <div class="container-texto-govco">
    <label class="label-texto-govco" for="input-basico-id">Etiqueta*</label>
    <input type="text" class="campo-texto-govco" id="input-basico-id" placeholder="Ejemplo: Campo de texto"/>
  </div>

  <!-- Con contador -->
  <div class="container-texto-govco">
    <label class="label-texto-govco" for="input-contador-id">Etiqueta*</label>
    <input type="text" class="campo-texto-govco" id="input-contador-id" aria-describedby="contador max-lenght" placeholder="Ejemplo: Campo de texto" maxlength="20" typeData="accountant"/>

    <span class="visually-hidden-focusable info-texto-govco" id="max-lenght">Caracteres permitidos:20</span>
    <div class="contador-texto-govco" id="contador" role="status">
      <span class="numero-contador-texto-govco">0</span>
      <span> de 20</span>
    </div>
  </div>

  <!-- Con nota -->
  <div class="container-texto-govco">
    <label class="label-texto-govco" for="input-nota-id">Etiqueta*</label>
    <input type="text" class="campo-texto-govco" id="input-nota-id" aria-describedby="campo-nota" placeholder="Ejemplo: Campo de texto"/>
    <span id="campo-nota" class="info-texto-govco">Nota explicativa del funcionamiento</span>
  </div>

  <!-- De contraseña -->
  <div class="container-texto-govco">
    <label class="label-texto-govco" for="input-contrasenia-id">Etiqueta*</label>
    <div class="container-input-texto-govco">
      <input type="password" class="campo-texto-govco" id="input-contrasenia-id" aria-describedby="nota-contrasenia" aria-invalid="false" placeholder="Ejemplo: Campo de texto" minlength="8" typeData="password"/>
      <button class="icon-texto-govco eye-texto-govco none" aria-label="Ocultar contraseña">
        <span></span> 
      </button>   
      <button class="icon-texto-govco eye-slash-texto-govco" aria-label="Mostrar contraseña">
        <span></span>  
      </button>
    </div>
    <span class="info-texto-govco alert-texto-govco" id="nota-contrasenia">Mínimo ocho (8) caracteres, un número, una letra minúscula, una letra mayúscula, un carácter especial.</span>
  </div>

  <!-- Correo electronico -->
  <div class="container-texto-govco">
    <label class="label-texto-govco" for="input-correo-id">Etiqueta*</label>
    <div class="container-input-texto-govco">
      <input type="mail" class="campo-texto-govco" id="input-correo-id" aria-invalid="false" placeholder="Ej: correo@email.com" typeData="mail"/>
      <div class="icon-texto-govco success-icon-texto-govco" aria-label="success" aria-hidden="true">
        <span></span> 
      </div>      
      <div class="icon-texto-govco error-icon-texto-govco" aria-label="error" aria-hidden="true">
        <span></span>  
      </div>
    </div>
  </div>

  <!-- Teléfono -->
  <div class="container-texto-govco">
    <label class="label-texto-govco" for="input-telefon-id">Etiqueta*</label>
    <div class="container-input-texto-govco">
      <input type="tel" class="campo-texto-govco" id="input-telefon-id" aria-invalid="false" placeholder="Ej: +57 310 4021752" typeData="phone"/>
      <div class="icon-texto-govco success-icon-texto-govco" aria-label="success" aria-hidden="true">
        <span></span> 
      </div>      
      <div class="icon-texto-govco error-icon-texto-govco" aria-label="error" aria-hidden="true">
        <span></span>  
      </div>
    </div>
  </div>

  <!-- Validaciones -->
  <div class="container-texto-govco">
    <label class="label-texto-govco" for="input-success-id">Etiqueta*</label>
    <div class="container-input-texto-govco">
      <input type="text" class="campo-texto-govco success" id="input-success-id" aria-invalid="false" aria-describedby="campoSuccess-id" placeholder="Texto ingresado"/>
      <div class="icon-texto-govco success-icon-texto-govco" aria-label="success" aria-hidden="true">
        <span></span> 
      </div>      
      <div class="icon-texto-govco error-icon-texto-govco" aria-label="error" aria-hidden="true">
        <span></span>  
      </div>
    </div>
    <span class="success-texto-govco alert-texto-govco" id="campoSuccess-id" role="status" aria-live="polite">Texto que explica el éxito</span>
  </div>
  
  <div class="container-texto-govco">
    <label class="label-texto-govco" for="input-error-id">Etiqueta*</label>
    <div class="container-input-texto-govco">
      <input type="text" class="campo-texto-govco error" id="input-error-id" aria-invalid="true" aria-describedby="campoWarning-id" placeholder="Texto ingresado"/>
      <div class="icon-texto-govco success-icon-texto-govco" aria-label="success" aria-hidden="true">
        <span></span> 
      </div>      
      <div class="icon-texto-govco error-icon-texto-govco" aria-label="error" aria-hidden="true">
        <span></span>  
      </div>
    </div>
    <span class="error-texto-govco alert-texto-govco" id="campoWarning-id" role="alert" aria-live="assertive">Texto que explica el error</span>
  </div>

  <script src="../../src/form/entradas-de-texto.js"></script>
</body>
</html>
